//
//  DeviceIdiomView.swift
//  DeviceIdiomView
//
//  Created by Brian Voong on 7/22/21.
//

import SwiftUI

struct DeviceIdiomView: View {
    
    @Environment(\.horizontalSizeClass) var horizontalSizeClass
    
    var body: some View {
        if UIDevice.current.userInterfaceIdiom == .phone {
            MainView()
        } else {
            if horizontalSizeClass == .compact {
                Color.blue
            } else {
                MainPadDeviceView()
            }
            
        }
    }
}

struct DeviceIdiomView_Previews: PreviewProvider {
    static var previews: some View {
        DeviceIdiomView()
        
        if #available(iOS 15.0, *) {
            DeviceIdiomView()
                .previewDevice(PreviewDevice(rawValue: "iPad Pro (11-inch) (3rd generation)"))
                .environment(\.horizontalSizeClass, .regular)
                .previewInterfaceOrientation(.landscapeLeft)
                .environment(\.managedObjectContext, PersistenceController.shared.container.viewContext)
        } else {
            // Fallback on earlier versions
        }
        
        DeviceIdiomView()
            .previewDevice(PreviewDevice(rawValue: "iPad Pro (11-inch) (3rd generation)"))
            .environment(\.horizontalSizeClass, .compact)
    }
}
